import { SearchRelatedItemsToChecklist, SearchRelatedItemsToDeviation, SearchRelatedItemsToProcessAndDocument, SearchRelatedItemsToRisk } from "../../components/related/model/related-data.model";
import { TreeModel } from "../../components/tree/model/tree.model";
import { Observable } from "rxjs";
import { QMSCKEditorBaseService } from "./qms-ckeditor-base.service";
import { ProcessModel } from "../models/process.model";
import { DocumentModel } from "../models/document.model";
import * as i0 from "@angular/core";
export declare class QMSCKEditorBPMNConnectionService extends QMSCKEditorBaseService {
    searchRelatedToProcessAndDocument(keyword: string, isInterconnected?: boolean): Observable<SearchRelatedItemsToProcessAndDocument>;
    getProcessTreeData(): Observable<TreeModel[]>;
    getDocumentTreeData(): Observable<TreeModel[]>;
    getDeviationTreeData(): Observable<TreeModel[]>;
    getChecklistData(): Observable<TreeModel[]>;
    getRiskData(): Observable<TreeModel[]>;
    searchRelatedToDeviation(keyword: string): Observable<SearchRelatedItemsToDeviation>;
    searchRelatedToChecklist(keyword: string): Observable<SearchRelatedItemsToChecklist>;
    searchRelatedToRisk(keyword: string): Observable<SearchRelatedItemsToRisk>;
    getAreaContent(areaId: string, isOnlyApproved: boolean, isInterconnected?: boolean): Observable<ProcessModel[]>;
    getFolderContent(folderId: string): Observable<DocumentModel[]>;
    getRelatedItemData(processEntityId: string, isFrontend: boolean): Observable<any>;
    getAreaContentInfor(areaId: string, showProcessesInTree: boolean, isOnlyApproved: boolean): Observable<any>;
    getFolderChildren(id: string, showDocumentInTree: boolean, approvedOnly: boolean): Observable<any>;
    getProcessAreasRootDetails(isOnlyApproved: boolean): Observable<any>;
    getAreaChildrenNode(areaId: string, showProcessesInTree: boolean, isOnlyApproved: boolean, isInterconnectedProcess?: boolean): Observable<any>;
    getParentFolders(itemId: string, itemType: string): Observable<any>;
    searchFolders({ keyword, isFrontend, searchType }: {
        keyword: any;
        isFrontend: any;
        searchType: any;
    }): Observable<any>;
    searchFolderAndDocument(keyword: string, searchType?: number): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorBPMNConnectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSCKEditorBPMNConnectionService>;
}
